### Virtual Method

# Foundry Config resolve_sdk

#### Declaration [src]

    DexFuture*
    resolve_sdk (
      FoundryConfig* self,
      FoundryDevice* device
    )

#### Description [src]

Tries to locate the preferred SDK for a configuration and device.

This might be used to locate an SDK which is not yet installed but would need to be installed to properly setup a build pipeline.

#### Parameters

`device`

  Type: `FoundryDevice`

  A `FoundryDevice`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundrySdk` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.